extends@: default
title: "Fiche produit customize"

form:
  fields:
    tabs:
      fields:
        content:
          type: tab
          fields:
            header.bg:
              type: pagemediaselect
              label: "L'image de fond :"
            step_1:
              type: fieldset
              title: "Étape 1"
              icon: check
              collapsed: false
              collapsible: true
              fields:
                header.step_1.title:
                  type: text
                  label: "Titre de l'étape :"
                  default: "Choix de la taille"
                  validate:
                    type: string
                header.step_1.content:
                  type: editor
                  label: "Titre de l'étape :"
                  validate:
                    type: string
                header.step_1.atributs:
                  name: buttons
                  type: list
                  style: horizontal
                  underline: false
                  label: "Les tailles :"
                  fields:
                    .valeur:
                      type: text
                      label: "Valeur :"
                      validate:
                        required: true

            step_2:
              type: fieldset
              title: "Étape 2"
              icon: check
              collapsed: false
              collapsible: true
              fields:
                header.step_2.title:
                  type: text
                  label: "Titre de l'étape :"
                  default: "Choix des motifs"
                  validate:
                    type: string
                    required: true
                header.step_2.content:
                  type: editor
                  label: "Titre de l'étape :"
                  validate:
                    type: string
                    required: true
                header.step_2.atributs:
                  name: buttons
                  type: list
                  style: horizontal
                  underline: false
                  label: "Les motifs :"
                  fields:
                    .text:
                      type: text
                      label: "Nom du motif :"
                      validate:
                        required: true
                    .img:
                      type: pagemediaselect
                      label: "Image du motif :"
                      validate:
                        required: true

            step_3:
              type: fieldset
              title: "Étape 3"
              icon: check
              collapsed: false
              collapsible: true
              fields:
                header.step_3.title:
                  type: text
                  label: "Titre de l'étape :"
                  default: "Choix des couleurs"
                  validate:
                    type: string
                    required: true
                header.step_3.content:
                  type: editor
                  label: "Titre de l'étape :"
                  validate:
                    type: string
                    required: true
                header.step_3.img:
                  type: pagemediaselect
                  label: "L'image de fond :"
                  validate:
                    required: true
                header.step_3.atributs:
                  name: buttons
                  type: list
                  style: horizontal
                  underline: false
                  label: "Les couleurs :"
                  fields:
                    .text:
                      type: text
                      label: "Nom de la couleur :"
                      validate:
                        required: true
                    .code:
                      type: colorpicker
                      label: "Code Hexadecimal :"
                      validate:
                        required: true

            step_4:
              type: fieldset
              title: "Étape 4"
              icon: check
              collapsed: false
              collapsible: true
              fields:
                header.step_4.title:
                  type: text
                  label: "Titre de l'étape :"
                  default: "Choix des pompons"
                  validate:
                    type: string
                header.step_4.content:
                  type: editor
                  label: "Titre de l'étape :"
                  validate:
                    type: string
                header.step_4.img:
                  type: pagemediaselect
                  label: "Image pompons :"

